Bug 244650 - LVM should still capture signals when prompting the user
LVM should still capture signals when prompting the user
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2 (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-18 07:43 EDT by Milan Broz
Modified: 2013-02-28 23:05 EST (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2007-0516
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:48:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2007-06-18 07:43:56 EDT
+++ This bug was initially created as a clone of Bug #180286 +++
RHEL5 clone

Description of problem:
I have 200 LVs and accidently tried to remove them without the "-f" flag. This
results in a prompt for every LV and I just have the time to type "y" 200 times.
Other cmds capture signals when prompting, so lvm should as well.

[root@link-08 tmp]# ls [tab]
Display all 161 possibilities? (y or n)
[Ctrl-C]
[root@link-08 tmp]#

[root@link-08 bin]# lvremove /dev/corey*
Do you really want to remove active logical volume "vol0"? [y/n]: y
[Ctrl-C]
Comment 2 RHEL Product and Program Management 2007-06-19 12:44:36 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Corey Marthaler 2007-06-27 17:25:38 EDT
fix verified in lvm2-2.02.26-1.el5.
Comment 6 errata-xmlrpc 2007-11-07 11:48:55 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0516.html

Note You need to log in before you can comment on or make changes to this bug.